silk ui versioning issue

silk ui versioning issue

  
i have sever running platform server 9.0.1.4 and comes with silkui. now got the updated version of silkui version 1.0.6 from forge and it broke a lot of apps. i had to download dublin and other updated templates from forge to fix that. My question is the version that came with my platformer sever more current than the forge edition? because in my service center i see the forge version currently published tagged for platform server 9.0.036 while the version that came pre-bundled with my platform server has a revison version of 9.0.1. i like to  clear up this misunderstanding.Thanks
As an update. all my espaces that reference silk displays error page.this update really screwed up things. i had to revert all my template,themes and the silkui back to default to fix it.i really love this version 9 release but it seems to be one of the buggiest outsystems releases so far, it doent have the traditional solid stability that other older versions like 5.1.1,6,7 and 8 had.Am seriously reconsidering any full blown upgared till everything is sorted out